package virtpb

// thank chatgpt for this because why. why write this if you can have it
// kick this out in 30 seconds

import (
	"log"
	"os"
	"path/filepath"
)

// IsDir() check seems to still enter directories for some reason
func backupDir(srcDir string, destDir string) error {
	// Create the destination directory
	err := os.MkdirAll(destDir, os.ModePerm)
	if err != nil {
		log.Printf("Failed to create directory: %v\n", err)
		return err
	}

	// Walk through the source directory
	err = filepath.Walk(srcDir, func(path string, info os.FileInfo, err error) error {
		if err != nil {
			return err
		}

		// Skip if it's not a .test file or if it's a directory
		// if filepath.Ext(path) != ".json" || info.IsDir() {
		if info.IsDir() {
			return nil
		}

		// Destination file path
		destPath := filepath.Join(destDir, info.Name())

		// Copy the file
		if err := copyFile(path, destPath); err != nil {
			return err
		}
		return nil
	})

	if err != nil {
		log.Printf("Failed to copy files: %v\n", err)
		return err
	}
	return nil
}
