package virtpb

// functions to import and export the protobuf
// data to and from config files

func InitCluster() *Cluster {
	var c *Cluster
	c = new(Cluster)
	c.d = new(Droplets)
	c.H = new(Hypervisors)
	c.e = new(Events)
	return c
}

func (c *Cluster) DropletsAll() *DropletIterator {
	return c.d.All()
}
